import { Component, ViewChild, OnInit } from '@angular/core';
import { TreeGridComponent } from "@syncfusion/ej2-angular-treegrid";


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'syncfusion-angular-app';
  data = [
    {
      "id": "f9b8f5ac-5f6a-11e9-b189-90b11c61d394",
      "parentID": null,
      "name": "RevitMain",
      "hasChild": true,
      "iterationID": null,
      "parentName": null
    },
    {
      "id": "144e8c96-659c-423c-8817-9001d2342c4e",
      "parentID": "f9b8f5ac-5f6a-11e9-b189-90b11c61d394",
      "name": "Revit Test - Clash",
      "hasChild": false,
      "iterationID": "1",
      "parentName": "Revit Test"
    },
    {
      "id": "44a8a5a8-d903-4f98-9762-23ef96604e08",
      "parentID": "f9b8f5ac-5f6a-11e9-b189-90b11c61d394",
      "name": "Revision check",
      "hasChild": false,
      "iterationID": "3",
      "parentName": "Revit Test"
    },
    {
      "id": "4baa2c64-800b-4298-aaa4-78688dfd8bba",
      "parentID": "f9b8f5ac-5f6a-11e9-b189-90b11c61d394",
      "name": "Project1",
      "hasChild": false,
      "iterationID": "1",
      "parentName": "Revit Test"
    }
  ];
  @ViewChild('projectHierarchy') public projectHierarchy: TreeGridComponent;
  public pageSettings: Object;
  public searchSettings: Object;
  public toolbar: Object;
  public editSettings: Object;
  public filterSettings: Object;
  _ISubscription = [];
  selectedModels = [];
  pjtHierachyData: any[] = [];

  ngOnInit(): void {
    this.pageInit();
    this.serviceInit();
  }

  pageInit() {
    this.pageSettings = { pageCount: 5 };
    this.searchSettings = { hierarchyMode: 'Parent' };
    this.editSettings = { allowEditing: true, mode: 'Row', newRowPosition: 'Below' };
    this.filterSettings = { type: 'Menu', hierarchyMode: 'Parent' };
  }

  serviceInit() {
    const that = this;
    let hierarchy = [];
   
    const bindData = () => {
      that.data = hierarchy;
    }
  }
}
